
<div class="fields-wrap">
    <form (keydown.enter)="$event.preventDefault();" [formGroup]="documentsFormGroup">
        <div class="page-wrap document-wrapper">
            <div class="group-header">
                <h4 class="group-title">Upload Documents</h4>
            </div>
            <div class="form-group">
                <div class="link-wrapper clearfix" *ngIf="cache.user.profile == 'Agent'">
                    <span class="link-label">Click on this button to send email to Upload Document</span>
                    <span class="link-wrap" (click)="sendDocUploadLink()">Link</span>
                </div>
                <div class="success-msg" *ngIf="isEmailSent">Email has been sent successfully..</div>
                <div *ngIf="!(cache.user.profile == 'Agent')">
                    <div *ngIf="constantsService.constants.customerDocumentList && constantsService.constants.customerDocumentList.address_proof_office && constantsService.constants.customerDocumentList.address_proof_office.length">
                        <h5 class="group-heading">Government Registration Proof</h5>
                        <div class="form-row">
                            <label  class="sub-title"><strong>Any one</strong> of the following documents can be uploaded as government registration proof: <br> 
                                <span *ngFor="let item of constantsService.constants.customerDocumentList.government_registration_proof">{{ item.value }}</span>
                            </label>
                            <div class="upload-success">
                                <div *ngIf="!documentsFormGroup.get('government_registration_proof').value">
                                    <div>
                                        <label for="government_registration_proof" class="upload-icon">
                                            <input type="file" id="government_registration_proof" (change)="uploadDocuments($event.target.files, 'government_registration_proof', 'Government Registration Proof')" />
                                        </label>
                                        <div class="upload-text">Upload a file</div>
                                        <i>File formats: pdf, jpg, jpeg, png. Max file size: 5MB</i>                      
                                    </div>       
                                    <app-loader *ngIf="stateLoader['government_registration_proof']" [type]="0"></app-loader>            
                                </div>
                                <div class="uplaod-doc uplaod-details clearfix" *ngIf="documentsFormGroup.get('government_registration_proof').value">
                                    <span class="user-name">{{documentsFormGroup.get('government_registration_proof').value}}   </span>
                                    <span class="file-details"><span>{{currentAddressProofDate | date: 'short' }}</span> <a href="javascript:void(0);" (click)="removeDocument('government_registration_proof')" class="delet-file">&#x2715;</a></span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="constantsService.constants.customerDocumentList && constantsService.constants.customerDocumentList.address_proof_office && constantsService.constants.customerDocumentList.address_proof_office.length">
                        <h5 class="group-heading">Address Proof Office</h5>
                        <div class="form-row">
                            <label  class="sub-title"><strong>Any one</strong> of the following documents can be uploaded as address proof office: <br> 
                                <span *ngFor="let item of constantsService.constants.customerDocumentList.address_proof_office">{{ item.value }}</span>
                            </label>
                            <div class="upload-success">
                                <div *ngIf="!documentsFormGroup.get('address_proof_office').value">
                                    <div>
                                        <label for="address_proof_office" class="upload-icon">
                                            <input type="file" id="address_proof_office" (change)="uploadDocuments($event.target.files, 'address_proof_office', 'Address Proof Office')" />
                                        </label>
                                        <div class="upload-text">Upload a file</div>
                                        <i>File formats: pdf, jpg, jpeg, png. Max file size: 5MB</i>                      
                                    </div>       
                                    <app-loader *ngIf="stateLoader['address_proof_office']" [type]="0"></app-loader>            
                                </div>
                                <div class="uplaod-doc uplaod-details clearfix" *ngIf="documentsFormGroup.get('address_proof_office').value">
                                    <span class="user-name">{{documentsFormGroup.get('address_proof_office').value}}   </span>
                                    <span class="file-details"><span>{{currentAddressProofDate | date: 'short' }}</span> <a href="javascript:void(0);" (click)="removeDocument('address_proof_office')" class="delet-file">&#x2715;</a></span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="constantsService.constants.customerDocumentList && constantsService.constants.customerDocumentList.address_proof_residence && constantsService.constants.customerDocumentList.address_proof_residence.length">
                        <h5 class="group-heading">Address Proof Residence</h5>
                        <div class="form-row">
                            <label  class="sub-title"><strong>Any one</strong> of the following documents can be uploaded as address proof residence: <br> 
                                <span *ngFor="let item of constantsService.constants.customerDocumentList.address_proof_residence">{{ item.value }}</span>
                            </label>
                            <div class="upload-success">
                                <div *ngIf="!documentsFormGroup.get('address_proof_residence').value">
                                    <div>
                                        <label for="address_proof_residence" class="upload-icon">
                                            <input type="file" id="address_proof_residence" (change)="uploadDocuments($event.target.files, 'address_proof_residence', 'Address Proof Residence')" />
                                        </label>
                                        <div class="upload-text">Upload a file</div>
                                        <i>File formats: pdf, jpg, jpeg, png. Max file size: 5MB</i>                      
                                    </div>       
                                    <app-loader *ngIf="stateLoader['address_proof_residence']" [type]="0"></app-loader>            
                                </div>
                                <div class="uplaod-doc uplaod-details clearfix" *ngIf="documentsFormGroup.get('address_proof_residence').value">
                                    <span class="user-name">{{documentsFormGroup.get('address_proof_residence').value}}   </span>
                                    <span class="file-details"><span>{{currentAddressProofDate | date: 'short' }}</span> <a href="javascript:void(0);" (click)="removeDocument('address_proof_residence')" class="delet-file">&#x2715;</a></span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="incomeDocList && incomeDocList.length">
                        <h5 class="group-heading">Income Document</h5>

                        <div *ngFor="let item of incomeDocList; let i = index;">
                            <div class="form-row">
                                <div class="doc-label">
                                    <span>{{ item.value }}</span>
                                </div>
                                <div class="upload-success">
                                    <div *ngIf="(!item.docName || item.docName == '') && !showDocName[item.key]">
                                        <div>
                                            <label for="uploadDoc-{{item.key}}" class="upload-icon"><input type="file" id="uploadDoc-{{item.key}}" (change)="uploadSingleDocument($event.target.files, item, i)" /></label>
                                            <div class="upload-text">Upload a file</div>
                                            <i>File formats: pdf, jpg, jpeg, png. Max file size: 5MB</i>                      
                                        </div>       
                                        <app-loader [type]="0" *ngIf="stateLoader[item.key]"></app-loader>            
                                    </div>
                                    <div class="uplaod-doc uplaod-details clearfix" *ngIf="item.docName || showDocName[item.key]">
                                        <span class="user-name">{{ item.docName ? item.docName : showDocName[item.key] }}</span>
                                        <span class="file-details"><span>{{currentAddressProofDate | date: 'short' }}</span> <a href="javascript:void(0);" (click)="removeSingleDocument(item.key)" class="delet-file">&#x2715;</a></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="kycDocList && kycDocList.length">
                        <h5 class="group-heading">KYC Document</h5>
                        <div *ngFor="let item of kycDocList; let i = index;">
                            <div class="form-row">
                                <div class="doc-label">
                                    <span>{{ item.value }}</span>
                                </div>
                                <div class="upload-success">
                                    <div *ngIf="(!item.docName || item.docName == '') && !showDocName[item.key]">
                                        <div>
                                            <label for="uploadDoc-{{item.key}}" class="upload-icon"><input type="file" id="uploadDoc-{{item.key}}" (change)="uploadSingleDocument($event.target.files, item, i)" /></label>
                                            <div class="upload-text">Upload a file</div>
                                            <i>File formats: pdf, jpg, jpeg, png. Max file size: 5MB</i>                      
                                        </div>       
                                        <app-loader [type]="0" *ngIf="stateLoader[item.key]"></app-loader>            
                                    </div>
                                    <div class="uplaod-doc uplaod-details clearfix" *ngIf="item.docName || showDocName[item.key]">
                                        <span class="user-name">{{ item.docName ? item.docName : showDocName[item.key] }}</span>
                                        <span class="file-details"><span>{{currentAddressProofDate | date: 'short' }}</span> <a href="javascript:void(0);" (click)="removeSingleDocument(item.key)" class="delet-file">&#x2715;</a></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="constantsService.constants.customerDocumentList && constantsService.constants.customerDocumentList.ownership_proof && constantsService.constants.customerDocumentList.ownership_proof.length">
                        <h5 class="group-heading">Ownership Proof</h5>
                        <div class="form-row">
                            <label  class="sub-title"><strong>Any one</strong> of the following documents can be uploaded as ownership proof: <br> 
                                <span *ngFor="let item of constantsService.constants.customerDocumentList.ownership_proof">{{ item.value }}</span>
                            </label>
                            <div class="upload-success">
                                <div *ngIf="!documentsFormGroup.get('ownership_proof').value">
                                    <div>
                                        <label for="ownership_proof" class="upload-icon">
                                            <input type="file" id="ownership_proof" (change)="uploadDocuments($event.target.files, 'ownership_proof', 'Ownership Proof')" />
                                        </label>
                                        <div class="upload-text">Upload a file</div>
                                        <i>File formats: pdf, jpg, jpeg, png. Max file size: 5MB</i>                      
                                    </div>       
                                    <app-loader *ngIf="stateLoader['ownership_proof']" [type]="0"></app-loader>            
                                </div>
                                <div class="uplaod-doc uplaod-details clearfix" *ngIf="documentsFormGroup.get('ownership_proof').value">
                                    <span class="user-name">{{documentsFormGroup.get('ownership_proof').value}}   </span>
                                    <span class="file-details"><span>{{currentAddressProofDate | date: 'short' }}</span> <a href="javascript:void(0);" (click)="removeDocument('ownership_proof')" class="delet-file">&#x2715;</a></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="btn-wrap clearfix">
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="goBack()" [disableRipple]="true">Go Back</button>
            <button class="main-btn" mat-button type="submit" [class.disabled]="!(documentsFormGroup.get('government_registration_proof').value || documentsFormGroup.get('address_proof_office').value || documentsFormGroup.get('address_proof_residence').value || documentsFormGroup.get('ownership_proof').value) && !isEmailSent && this.countDoc <= 0" (click)= "submit()" [disableRipple]="true" >Continue</button>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
            <p class="otp_verify_links blue-link" *ngIf="!getRedirectFlag"><a href="javascript:void(0);" class="links" (click)="skip()">Skip this step</a></p>
        </div>
    </form>
</div>




